﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace WSY.MySQL.BugRepro;

[Table("sample_table")]
public record SampleTable
{
    /// <summary>ID</summary>
    [Key]
    [Column("id")]
    [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    public int Id { get; init; }

    [Column("name")]
    public required string Name { get; set; }

    /// <summary>Time when this data is created</summary>
    [Column("time_created", TypeName = "TIMESTAMP(6)")]
    [DatabaseGenerated(DatabaseGeneratedOption.Computed)]
    public DateTime TimeCreated { get; init; }

    /// <summary>Time when this data is updated</summary>
    [Column("time_updated", TypeName = "TIMESTAMP(6)")]
    [DatabaseGenerated(DatabaseGeneratedOption.Computed)]
    public DateTime TimeUpdated { get; init; }
}
